yp_order
mnoGoSearch
Function Reference
PHP Manual

# Search Engine Extensions

Table of Contents

- mnoGoSearch
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - mnoGoSearch Functions
- Solr — Apache Solr
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Solr Functions
  - Examples
  - SolrUtils — The SolrUtils class
  - SolrInputDocument — The SolrInputDocument class
  - SolrDocument — The SolrDocument class
  - SolrDocumentField — The SolrDocumentField class
  - SolrObject — The SolrObject class
  - SolrClient — The SolrClient class
  - SolrResponse — The SolrResponse class
  - SolrQueryResponse — The SolrQueryResponse class
  - SolrUpdateResponse — The SolrUpdateResponse class
  - SolrPingResponse — The SolrPingResponse class
  - SolrGenericResponse — The SolrGenericResponse class
  - SolrParams — The SolrParams class
  - SolrModifiableParams — The SolrModifiableParams class
  - SolrQuery — The SolrQuery class
  - SolrException — The SolrException class
  - SolrClientException — The SolrClientException class
  - SolrIllegalArgumentException — The SolrIllegalArgumentException class
  - SolrIllegalOperationException — The SolrIllegalOperationException class
- Sphinx — Sphinx Client
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - SphinxClient — The SphinxClient class
- Swish — Swish Indexing
  - Introduction
  - Installing/Configuring
  - Predefined Constants
  - Examples
  - Swish Functions